summaryrefslogtreecommitdiff
path: root/dev-python/pytest-xdist
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/pytest-xdist
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/pytest-xdist')
-rw-r--r--dev-python/pytest-xdist/Manifest4
-rw-r--r--dev-python/pytest-xdist/files/pytest-xdist-1.28.0-strip-setuptools-scm.patch27
-rw-r--r--dev-python/pytest-xdist/files/pytest-xdist-1.32.0-timeout.patch50
-rw-r--r--dev-python/pytest-xdist/metadata.xml15
-rw-r--r--dev-python/pytest-xdist/pytest-xdist-1.23.2.ebuild38
-rw-r--r--dev-python/pytest-xdist/pytest-xdist-1.28.0.ebuild39
-rw-r--r--dev-python/pytest-xdist/pytest-xdist-1.31.0.ebuild39
-rw-r--r--dev-python/pytest-xdist/pytest-xdist-1.32.0.ebuild43
8 files changed, 255 insertions, 0 deletions
diff --git a/dev-python/pytest-xdist/Manifest b/dev-python/pytest-xdist/Manifest
new file mode 100644
index 000000000000..aead1a2d7d18
--- /dev/null
+++ b/dev-python/pytest-xdist/Manifest
@@ -0,0 +1,4 @@
+DIST pytest-xdist-1.23.2.tar.gz 59932 BLAKE2B f2cf73914cf095217fb8b472f5e5f7918435c75f8da1694cc7ceb920ac3a7390d84bea93cca558ba26cf3d14a01815374eab9ea03a137a8a9f5dba2f2d4453a8 SHA512 4aae9a6d74e53a29630d0233d0a903d008023e322de726ef7ab7cf4865f428942f96cc65264e19726cb6213264edaa747da2cb6f368989417ba821f2a3f9b654
+DIST pytest-xdist-1.28.0.tar.gz 61486 BLAKE2B ef8157079ea890342cd566f327588148fa898a3404e3edcffb60ba8ba37d9473b4c2a47fc737f7bb074042c6aadd737ac51f348ce79a718eb446036016cd5e23 SHA512 89b8885103a944ae72535de40028db052f76631ade6f969489d3dc3a1a61a3233df6655d0905d9f5253f23740a15aea824b460c680e79c16f275b31cb2abd6ad
+DIST pytest-xdist-1.31.0.tar.gz 66133 BLAKE2B 79fe5f3bcad3421c1c751ffe6e09f0da42d4ff7c0016cb421ffabcab167028ec41ccfb02bbb275564cd74b13ade8d6e79bbb70b34995f3bc9000604a1533df9a SHA512 b7960d20295232b251c8ddcc5a3b9d6e7b761d577ba11c2647b4b4b410ee5c05998cf57fa57208561eb3ea7c4914db1fd446173794589d8c8e8e79ff8e0ad3aa
+DIST pytest-xdist-1.32.0.tar.gz 67733 BLAKE2B da0ce4e43dc8752e4329ddcbc13a5f55f5bc120c13f39bb01916770d2dc1864197fd91f92bc55ba27cd74b0d837ac2d310980874cdf54761339b2cd654dd6e74 SHA512 f159b4653efb4afeff4124df484670d3c672e1014712f948390b25efc53096f8237258c83a5f1a9e688c52b4a756291cb731d37fdfa800707f556550a19cb0e8
diff --git a/dev-python/pytest-xdist/files/pytest-xdist-1.28.0-strip-setuptools-scm.patch b/dev-python/pytest-xdist/files/pytest-xdist-1.28.0-strip-setuptools-scm.patch
new file mode 100644
index 000000000000..8ef0272d2b5b
--- /dev/null
+++ b/dev-python/pytest-xdist/files/pytest-xdist-1.28.0-strip-setuptools-scm.patch
@@ -0,0 +1,27 @@
+diff --git a/setup.py b/setup.py
+index 17abe9a..81422db 100644
+--- a/setup.py
++++ b/setup.py
+@@ -6,9 +6,13 @@ install_requires = ["execnet>=1.1", "pytest>=4.4.0", "pytest-forked", "six"]
+ with open("README.rst") as f:
+ long_description = f.read()
+
++import os
++with open("xdist/_version.py", 'wt') as fp:
++ fp.write('version = "{}"'.format(os.environ['PV']))
++
+ setup(
+ name="pytest-xdist",
+- use_scm_version={"write_to": "xdist/_version.py"},
++ version=os.environ['PV'],
+ description="pytest xdist plugin for distributed testing"
+ " and loop-on-failing modes",
+ long_description=long_description,
+@@ -24,7 +28,6 @@ setup(
+ zip_safe=False,
+ python_requires=">=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*",
+ install_requires=install_requires,
+- setup_requires=["setuptools_scm"],
+ classifiers=[
+ "Development Status :: 5 - Production/Stable",
+ "Framework :: Pytest",
diff --git a/dev-python/pytest-xdist/files/pytest-xdist-1.32.0-timeout.patch b/dev-python/pytest-xdist/files/pytest-xdist-1.32.0-timeout.patch
new file mode 100644
index 000000000000..52fdc681dfb2
--- /dev/null
+++ b/dev-python/pytest-xdist/files/pytest-xdist-1.32.0-timeout.patch
@@ -0,0 +1,50 @@
+From 27519e8018ee199219ab223e0b31b76b4e950a2a Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
+Date: Sun, 3 May 2020 11:23:33 +0200
+Subject: [PATCH] Increase pexpect timeouts to prevent tests from failing
+
+---
+ testing/acceptance_test.py | 2 +-
+ testing/test_looponfail.py | 6 ++++--
+ 2 files changed, 5 insertions(+), 3 deletions(-)
+
+diff --git a/testing/acceptance_test.py b/testing/acceptance_test.py
+index b6a4a94..a089baa 100644
+--- a/testing/acceptance_test.py
++++ b/testing/acceptance_test.py
+@@ -332,7 +332,7 @@ class TestDistribution:
+ time.sleep(10)
+ """
+ )
+- child = testdir.spawn_pytest("-n1 -v")
++ child = testdir.spawn_pytest("-n1 -v", expect_timeout=30.0)
+ child.expect(".*test_sleep.*")
+ child.kill(2) # keyboard interrupt
+ child.expect(".*KeyboardInterrupt.*")
+diff --git a/testing/test_looponfail.py b/testing/test_looponfail.py
+index 94fccd7..a6ebebe 100644
+--- a/testing/test_looponfail.py
++++ b/testing/test_looponfail.py
+@@ -284,7 +284,8 @@ class TestFunctional:
+ )
+ # p = testdir.mkdir("sub").join(p1.basename)
+ # p1.move(p)
+- child = testdir.spawn_pytest("-f %s --traceconfig" % p)
++ child = testdir.spawn_pytest("-f %s --traceconfig" % p,
++ expect_timeout=30.0)
+ child.expect("def test_one")
+ child.expect("x == 1")
+ child.expect("1 failed")
+@@ -311,7 +312,8 @@ class TestFunctional:
+ pass
+ """
+ )
+- child = testdir.spawn_pytest("-f %s" % p)
++ child = testdir.spawn_pytest("-f %s" % p,
++ expect_timeout=30.0)
+ child.expect("1 xpass")
+ # child.expect("### LOOPONFAILING ####")
+ child.expect("waiting for changes")
+--
+2.26.2
+
diff --git a/dev-python/pytest-xdist/metadata.xml b/dev-python/pytest-xdist/metadata.xml
new file mode 100644
index 000000000000..7d8a073c66c3
--- /dev/null
+++ b/dev-python/pytest-xdist/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <stabilize-allarches/>
+ <upstream>
+ <remote-id type="pypi">pxml</remote-id>
+ <remote-id type="github">metagriffin/pxml</remote-id>
+ <remote-id type="bitbucket">pytest-dev/pytest-xdist</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-python/pytest-xdist/pytest-xdist-1.23.2.ebuild b/dev-python/pytest-xdist/pytest-xdist-1.23.2.ebuild
new file mode 100644
index 000000000000..2d3a4cc23b66
--- /dev/null
+++ b/dev-python/pytest-xdist/pytest-xdist-1.23.2.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{6,7} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Distributed testing and loop-on-failing modes"
+HOMEPAGE="https://pypi.org/project/pytest-xdist/ https://github.com/pytest-dev/pytest-xdist"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 s390 sparc x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/execnet-1.1[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-forked[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+
+# See #673106 about the pytest-xdist blocker.
+DEPEND="${RDEPEND}
+ !!dev-python/pytest-capturelog
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? ( !!<dev-python/pytest-xdist-1.22 )
+"
+
+python_test() {
+ distutils_install_for_testing
+ pytest -vv testing || die "Tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/pytest-xdist/pytest-xdist-1.28.0.ebuild b/dev-python/pytest-xdist/pytest-xdist-1.28.0.ebuild
new file mode 100644
index 000000000000..26489b96dfa9
--- /dev/null
+++ b/dev-python/pytest-xdist/pytest-xdist-1.28.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{6,7} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Distributed testing and loop-on-failing modes"
+HOMEPAGE="https://pypi.org/project/pytest-xdist/ https://github.com/pytest-dev/pytest-xdist"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/execnet[${PYTHON_USEDEP}]
+ >=dev-python/pytest-4.4[${PYTHON_USEDEP}]
+ dev-python/pytest-forked[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/filelock[${PYTHON_USEDEP}] )
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-1.28.0-strip-setuptools-scm.patch"
+)
+
+python_test() {
+ distutils_install_for_testing
+ pytest -vv testing || die "Tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/pytest-xdist/pytest-xdist-1.31.0.ebuild b/dev-python/pytest-xdist/pytest-xdist-1.31.0.ebuild
new file mode 100644
index 000000000000..6babb2e6cfbf
--- /dev/null
+++ b/dev-python/pytest-xdist/pytest-xdist-1.31.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python2_7 python3_{6,7,8} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Distributed testing and loop-on-failing modes"
+HOMEPAGE="https://pypi.org/project/pytest-xdist/ https://github.com/pytest-dev/pytest-xdist"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~alpha amd64 arm arm64 ~ia64 ppc ppc64 sparc x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/execnet[${PYTHON_USEDEP}]
+ >=dev-python/pytest-4.4[${PYTHON_USEDEP}]
+ dev-python/pytest-forked[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ dev-python/filelock[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ distutils_install_for_testing
+ pytest -vv testing || die "Tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/pytest-xdist/pytest-xdist-1.32.0.ebuild b/dev-python/pytest-xdist/pytest-xdist-1.32.0.ebuild
new file mode 100644
index 000000000000..8ff5690847c6
--- /dev/null
+++ b/dev-python/pytest-xdist/pytest-xdist-1.32.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python2_7 python3_{6,7,8,9} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Distributed testing and loop-on-failing modes"
+HOMEPAGE="https://pypi.org/project/pytest-xdist/ https://github.com/pytest-dev/pytest-xdist"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/execnet[${PYTHON_USEDEP}]
+ >=dev-python/pytest-4.4[${PYTHON_USEDEP}]
+ dev-python/pytest-forked[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ dev-python/filelock[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}"/pytest-xdist-1.32.0-timeout.patch
+)
+
+python_test() {
+ distutils_install_for_testing
+ pytest -vv testing || die "Tests failed under ${EPYTHON}"
+}